# -*- coding: utf-8 -*-
# SPDX-License-Identifier: MIT
#
# The Snipinator project requires contributions made to this file be licensed
# under the MIT license or a compatible open source license. See LICENSE.md for
# the license text.

from setuptools import setup, find_packages

with open('README.md') as f:
  long_description = f.read()
with open('requirements.txt') as f:
  requirements = f.read().splitlines()
  requirements = [r.strip() for r in requirements]
  requirements = [r for r in requirements if len(r) > 0]
  requirements = [r for r in requirements if not r.startswith('#')]

setup(
    name='snipinator',
    version='1.0.5',
    packages=find_packages(),
    description=
    'Python code snippets for markdown files, e.g READMEs, from actual (testable) code.',
    long_description=long_description,
    long_description_content_type='text/markdown',
    author='AYF',
    author_email='realazthat@gmail.com',
    url='https://github.com/realazthat/snipinator',
    install_requires=requirements,
    classifiers=[
        # Choose your license and programming language/version here. For example:
        'License :: OSI Approved :: MIT License',
        'Programming Language :: Python :: 3.10',
        'Programming Language :: Python :: 3.11',
        'Programming Language :: Python :: 3.12',
    ],
)
